﻿
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using Android.App;
using Android.Content;
using Android.OS;
using Android.Runtime;
using Android.Views;
using Android.Widget;
using Android.Util;

namespace SyncAdapterExample
{
    public class SyncAdapter : AbstractThreadedSyncAdapter
    {
        ContentResolver _contentResolver;

        public SyncAdapter(Context context, bool autoInitialize) : base(context, autoInitialize)
        {
            _contentResolver = context.ContentResolver;
        }

        // For Android 3.0 compat
        public SyncAdapter(Context context, bool autoInitialize, bool allowParallelSyncs) 
            : base(context, autoInitialize, allowParallelSyncs)
        {
            _contentResolver = context.ContentResolver;
        }

        public override void OnPerformSync(Android.Accounts.Account account, Bundle extras, string authority, ContentProviderClient provider, SyncResult syncResult)
        {
            // Data transfer code here
            // ..
            Console.WriteLine("I have sync'd!"); // Shows in logcat
        }
    }
}

